/* "Image Tool"
 * Copyright (C) 2000-01 by Next Generation
 * Written by Chris Hansen.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * NEXT GENERATION on the Web: www.nextgeneration.dk
 * CONTACT: info@nextgeneration.dk
 */

#define WIN32_LEAN_AND_MEAN 1
#include <windows.h>
#include <shellapi.h>
#include "resource.h"
#include "verinfo.h"

BOOL CALLBACK
DlgProcAbout (HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam)
{
  TCHAR sBuffer[50];

  switch (message)
    {
    case WM_INITDIALOG:
      wsprintf (sBuffer, "\"%s\" v%d.%d.%d build %d", RES_PROGRAM_NAME, RES_PROGRAM_VERSION, RES_PROGRAM_MAJOR, RES_PROGRAM_MINOR, RES_PROGRAM_REVISION);
      SetDlgItemText (hwnd, IDC_LABEL_PACKAGE, sBuffer);
      SetDlgItemText (hwnd, IDC_LABEL_COMMENT, RES_PROGRAM_COMMENT);
      SetDlgItemText (hwnd, IDC_LABEL_COPYRIGHT, RES_PROGRAM_COPYRIGHT);
      break;

    case WM_COMMAND:
      switch (wParam)
	{
	case IDOK:
	  SendMessage (hwnd, WM_CLOSE, 0, 0);
	  break;
	}

      switch (HIWORD (wParam))
	{
	case STN_DBLCLK:
	  if (LOWORD (wParam) == IDC_LINK)
	    ShellExecute (hwnd, "open", "http://www.nextgeneration.dk", NULL,
			  NULL, SW_SHOWDEFAULT);
	  break;
	}
      break;
      
    case WM_CLOSE:
      EndDialog (hwnd, TRUE);
      return 0;
    }
  return FALSE;
}
